<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<artifactId>attendance-performance-manager</artifactId>
	<packaging>jar</packaging>
	<description>考勤绩效管理平台</description>

    <parent>
        <groupId>com.mortals.xhx</groupId>
        <artifactId>attendance-performance-platform</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

	<profiles>
		<profile>
			<id>develop</id>

			<properties>
				<profiles.active>develop</profiles.active>
				<profiles.server.port>17500</profiles.server.port>
				<profiles.server.path>/attendance</profiles.server.path>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov-dev</profiles.nacos.namespace>
				<profiles.log.path>/mortals/app/logs</profiles.log.path>
				<profiles.log.level>info</profiles.log.level>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.hik.host>8.136.255.30:8001</profiles.hik.host>
				<profiles.hik.appKey>25128371</profiles.hik.appKey>
				<profiles.hik.appSecret>2m9RcPJOKq5j2QPQM4v5</profiles.hik.appSecret>
				<package.environment>serve</package.environment>
				<skipUi>false</skipUi>
			</properties>
		</profile>
		<profile>
			<id>test</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<profiles.active>test</profiles.active>
				<profiles.server.port>17500</profiles.server.port>
				<profiles.server.path>/attendance</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.nacos.server-addr>192.168.0.252:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov-dev</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.sms.smsSendUrl>http://127.0.0.1:8089/api/index/index</profiles.sms.smsSendUrl>
				<profiles.sms.apiId>k6BVS1PEbyzcJAE4</profiles.sms.apiId>
				<profiles.sms.type>3</profiles.sms.type>
				<profiles.hik.host>8.136.255.30:8001</profiles.hik.host>
				<profiles.hik.appKey>25128371</profiles.hik.appKey>
				<profiles.hik.appSecret>2m9RcPJOKq5j2QPQM4v5</profiles.hik.appSecret>
				<package.environment>test</package.environment>
				<skipUi>false</skipUi>
			</properties>
		</profile>
		<profile>
			<id>product</id>
			<properties>
				<profiles.active>product</profiles.active>
				<profiles.server.port>17500</profiles.server.port>
				<profiles.server.path>/attendance</profiles.server.path>
				<profiles.publish.path>/home/publish</profiles.publish.path>
				<profiles.nacos.server-addr>192.168.0.252:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.sms.smsSendUrl>http://127.0.0.1:8089/api/index/index</profiles.sms.smsSendUrl>
				<profiles.sms.apiId>k6BVS1PEbyzcJAE4</profiles.sms.apiId>
				<profiles.sms.type>3</profiles.sms.type>

				<profiles.hik.host>8.136.255.30:8001</profiles.hik.host>
				<profiles.hik.appKey>25128371</profiles.hik.appKey>
				<profiles.hik.appSecret>2m9RcPJOKq5j2QPQM4v5</profiles.hik.appSecret>
				<package.environment>build</package.environment>
				<skipUi>false</skipUi>
			</properties>
		</profile>

	</profiles>
	
	<properties>
	</properties>

	<dependencies>
		<dependency>
			<groupId>com.mortals.xhx</groupId>
			<artifactId>common-lib</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
			<version>2.5.2</version>
		</dependency>

		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
		</dependency>

		<!--Token生成与解析-->
		<dependency>
			<groupId>io.jsonwebtoken</groupId>
			<artifactId>jjwt</artifactId>
		</dependency>

		<dependency>
			<groupId>com.hikvision.ga</groupId>
			<artifactId>artemis-http-client</artifactId>
			<version>1.1.8</version>
		<!--	<systemPath>${project.basedir}/src/main/resources/lib/artemis-http-client-1.1.8.jar</systemPath>-->
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

	</dependencies>


	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.19.1</version>
				<configuration>
					<skipTests>true</skipTests>    <!--默认关掉单元测试 -->
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
					<encoding>${project.build.sourceEncoding}</encoding>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-bin</id>
						<phase>package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<encoding>UTF-8</encoding>
							<outputDirectory>target/bin
							</outputDirectory>
							<resources>
								<resource>
									<directory>src/main/bin/</directory>
									<excludes>
										<exclude>deploy.sh</exclude>
									</excludes>
									<filtering>true</filtering>
								</resource>
							</resources>
						</configuration>
					</execution>

					<execution>
						<id>copy-deploy</id>
						<phase>package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<encoding>UTF-8</encoding>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}/
							</outputDirectory>
							<resources>
								<resource>
									<directory>src/main/bin</directory>
									<includes>
										<include>deploy.sh</include>
									</includes>
									<filtering>true</filtering>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.6.0</version>
				<configuration>
					<skip>${skipUi}</skip>
				</configuration>
				<executions>
					<execution>
						<id>exec-npm-install</id>
						<phase>generate-resources</phase>
						<goals>
							<goal>exec</goal>
						</goals>
						<configuration>
							<executable>yarn</executable>
							<arguments>
								<argument></argument>
							</arguments>
							<workingDirectory>${project.parent.basedir}/attendance-performance-manager-ui/admin</workingDirectory>
						</configuration>
					</execution>

					<execution>
						<id>exec-npm-run-build</id>
						<phase>generate-resources</phase>
						<goals>
							<goal>exec</goal>
						</goals>
						<configuration>
							<executable>yarn</executable>
							<arguments>
								<argument>run</argument>
								<arguments>${package.environment}</arguments>
							</arguments>
							<workingDirectory>${project.parent.basedir}/attendance-performance-manager-ui/admin</workingDirectory>
						</configuration>
					</execution>

				</executions>
			</plugin>

			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>3.3.0</version>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<finalName>${project.artifactId}</finalName>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptors>
								<descriptor>../assembly/assembly.xml</descriptor>
							</descriptors>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}</outputDirectory>
						</configuration>
					</execution>
					<execution>
						<id>make-assembly-ui</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<skipAssembly>${skipUi}</skipAssembly>
							<finalName>${project.artifactId}-ui</finalName>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptors>
								<descriptor>../assembly/assembly-manager-ui.xml</descriptor>
							</descriptors>
							<outputDirectory>${project.parent.basedir}/dist/${project.artifactId}</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
